# Security Policy

## Supported Versions

| Version | Supported          |
| ------- | ------------------ |
| 0.1.x   | :white_check_mark: |
| < 0.1.0 | :x:                |

## Reporting a Vulnerability

If you discover a security vulnerability in this project, please report it responsibly. 

**Please do not report security vulnerabilities through public GitHub issues.**

Instead, please send an email to [security@example.com](mailto:security@example.com) with the following information:

- A description of the vulnerability
- Steps to reproduce the issue
- Any related code or configuration
- The impact of the vulnerability
- Any mitigation or workaround if known

We will acknowledge your email within 48 hours and will send a more detailed response within 72 hours indicating the next steps in handling your report. After the initial reply to your report, we will make a best effort to keep you informed of the progress towards fixing the issue.

## Security Updates and Alerts

Security updates will be released as minor or patch version updates following semantic versioning. Please ensure you are using the latest version of the software to benefit from security fixes.

## Security Best Practices

When using this software, please follow these security best practices:

1. Always keep your dependencies up to date
2. Run the software with the minimum required permissions
3. Review and understand the code before using it in production
4. Use the latest stable version of Python
5. Follow the principle of least privilege when setting up file permissions

## Security Advisories

Security advisories for this project will be published in the [GitHub Security Advisories](https://github.com/the-solution-desk/OrganiserPro/security/advisories) section of the repository.
